Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Static Protected Member Functions | Properties
Cloo.ComputeImage Class Reference

Represents an OpenCL image. More...

Inheritance diagram for Cloo.ComputeImage:

List of all members.

## Protected Member Functions
| ComputeImage (ComputeContext context, ComputeMemoryFlags flags)
void | Init ()
## Static Protected Member Functions
static ICollection < ComputeImageFormat > | GetSupportedFormats (ComputeContext context, ComputeMemoryFlags flags, ComputeMemoryType type)
## Properties
int | Depth`[get, set]`
| Gets or sets (protected) the depth in pixels of the ComputeImage.
int | ElementSize`[get, set]`
| Gets or sets (protected) the size of the elements (pixels) of the ComputeImage.
int | Height`[get, set]`
| Gets or sets (protected) the height in pixels of the ComputeImage.
long | RowPitch`[get, set]`
| Gets or sets (protected) the size in bytes of a row of elements of the ComputeImage.
long | SlicePitch`[get, set]`
| Gets or sets (protected) the size in bytes of a 2D slice of a ComputeImage3D.
int | Width`[get, set]`
| Gets or sets (protected) the width in pixels of the ComputeImage.

## Detailed Description

Represents an OpenCL image.

A memory object that stores a two- or three- dimensional structured array. Image data can only be accessed with read and write functions. The read functions use a sampler.

See also:
  ComputeMemory, ComputeSampler

## Constructor & Destructor Documentation

Cloo.ComputeImage.ComputeImage | ( | ComputeContext | context,
|  | ComputeMemoryFlags | flags
| ) |  | `[protected]`

Parameters:

  context |
  flags |

## Member Function Documentation

static ICollection<ComputeImageFormat> Cloo.ComputeImage.GetSupportedFormats | ( | ComputeContext | context,
|  | ComputeMemoryFlags | flags,
|  | ComputeMemoryType | type
| ) |  | `[static, protected]`

Parameters:

  context |
  flags |
  type |

Returns:

void Cloo.ComputeImage.Init | ( |  | ) | `[protected]`

## Property Documentation

int Cloo.ComputeImage.Depth`[get, set]`

Gets or sets (protected) the depth in pixels of the ComputeImage.

The depth in pixels of the ComputeImage.

int Cloo.ComputeImage.ElementSize`[get, set]`

Gets or sets (protected) the size of the elements (pixels) of the ComputeImage.

The size of the elements (pixels) of the ComputeImage.

int Cloo.ComputeImage.Height`[get, set]`

Gets or sets (protected) the height in pixels of the ComputeImage.

The height in pixels of the ComputeImage.

long Cloo.ComputeImage.RowPitch`[get, set]`

Gets or sets (protected) the size in bytes of a row of elements of the ComputeImage.

The size in bytes of a row of elements of the ComputeImage.

long Cloo.ComputeImage.SlicePitch`[get, set]`

Gets or sets (protected) the size in bytes of a 2D slice of a ComputeImage3D.

The size in bytes of a 2D slice of a ComputeImage3D. For a ComputeImage2D this value is 0.

int Cloo.ComputeImage.Width`[get, set]`

Gets or sets (protected) the width in pixels of the ComputeImage.

The width in pixels of the ComputeImage.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeImage.cs